Skip to main content
GET
/
v1
/
tool-servers
/
{toolServerId}
/
definition
Get tool server definition
curl --request GET \
  --url https://api.devic.ai/v1/tool-servers/{toolServerId}/definition \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "toolDefinitions": [
    {
      "function": {
        "name": "<string>",
        "description": "<string>",
        "strict": true,
        "parameters": {
          "type": "<string>",
          "properties": {},
          "required": [
            "<string>"
          ],
          "additionalProperties": true
        }
      },
      "type": "function",
      "endpoint": "<string>",
      "method": "GET",
      "queryParametersKeys": [
        "<string>"
      ],
      "pathParametersKeys": [
        "<string>"
      ],
      "bodyPropertyKey": "<string>",
      "customHeaders": [
        {
          "headerName": "<string>",
          "value": "<string>"
        }
      ],
      "isFormDataBody": true,
      "bodyMode": "simple",
      "bodyJsonTemplate": "<string>",
      "responsePostProcessingEnabled": true,
      "responsePostProcessingTemplate": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devic.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use JWT token for authentication

Path Parameters

toolServerId
string
required

The unique identifier of the tool server

Response

Tool server definition retrieved successfully

_id
string

Definition ID

name
string

Definition name

description
string

Definition description

toolDefinitions
object[]

Array of tool definitions